For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet vaults
        • POSTCreate vault
        • GETGet vault account summary
        • GETGet combined vault-level and substrategy analytics for a vault
        • GETGet vault balances
        • GETGet vaults config
        • GETGet vault historical data
        • GETGet vaults owned or operated by the authenticated account
        • GETGet vault positions
        • GETGet vault summary
        • GETGet vault transfers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceVaults

Get combined vault-level and substrategy analytics for a vault

GET
https://api.prod.paradex.trade/v1/vaults/analytics
GET
/v1/vaults/analytics
$curl -G https://api.prod.paradex.trade/v1/vaults/analytics \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d address=0x9f8F72aa9304c8B593d555F12ef6589cC3A579A2
1{
2 "address": "0x9f8F72aa9304c8B593d555F12ef6589cC3A579A2",
3 "as_of": "2026-05-05 09:00:00.000",
4 "substrategies": [
5 {
6 "account_address": "0xAb5801a7D398351b8bE11C439e05C5B3259aec9B",
7 "annualized_volatility": {
8 "window_1y": "0.18",
9 "window_24h": "0.02",
10 "window_30d": "0.05",
11 "window_7d": "0.03",
12 "window_90d": "0.07",
13 "window_all": "0.15"
14 },
15 "apr": {
16 "window_1y": "0.12",
17 "window_24h": "0.001",
18 "window_30d": "0.03",
19 "window_7d": "0.015",
20 "window_90d": "0.05",
21 "window_all": "0.10"
22 },
23 "apr_simple_itd": "0.095",
24 "cum_return": "0.25",
25 "cumulative_pnl_series": [
26 {
27 "day": "2026-05-05",
28 "value": "1250.75"
29 }
30 ],
31 "cumulative_pnl_usd": "1250.75",
32 "end_value": "15000.00",
33 "hourly_cumulative_pnl_series": [
34 {
35 "at": "2026-05-05 09:00:00.000",
36 "value": "1250.75"
37 }
38 ],
39 "max_dd": {
40 "window_1y": "0.10",
41 "window_24h": "0.01",
42 "window_30d": "0.04",
43 "window_7d": "0.02",
44 "window_90d": "0.06",
45 "window_all": "0.09"
46 },
47 "max_drawdown_to_date": "0.09",
48 "monthly_pnl_last_12m": [
49 {
50 "month": "2026-05-01",
51 "month_return_canonical": "0.0123"
52 }
53 ],
54 "pnl": {
55 "window_1y": "0.11",
56 "window_24h": "0.002",
57 "window_30d": "0.04",
58 "window_7d": "0.02",
59 "window_90d": "0.05",
60 "window_all": "0.10"
61 },
62 "return": {
63 "window_1y": "0.25",
64 "window_24h": "0.005",
65 "window_30d": "0.06",
66 "window_7d": "0.03",
67 "window_90d": "0.07",
68 "window_all": "0.20"
69 },
70 "sharpe": {
71 "window_1y": "1.2",
72 "window_24h": "0.5",
73 "window_30d": "0.9",
74 "window_7d": "0.7",
75 "window_90d": "1.0",
76 "window_all": "1.1"
77 },
78 "sharpe_annualized_itd": "1.15",
79 "strategy_name": "Spot LP",
80 "vol_annualized_itd": "0.16"
81 }
82 ],
83 "vault_level": {
84 "address": "0x9f8F72aa9304c8B593d555F12ef6589cC3A579A2",
85 "annualized_volatility": {
86 "window_1y": "0.15",
87 "window_24h": "0.015",
88 "window_30d": "0.04",
89 "window_7d": "0.025",
90 "window_90d": "0.06",
91 "window_all": "0.14"
92 },
93 "apr": {
94 "window_1y": "0.10",
95 "window_24h": "0.0015",
96 "window_30d": "0.035",
97 "window_7d": "0.02",
98 "window_90d": "0.045",
99 "window_all": "0.09"
100 },
101 "as_of": "2026-05-05 09:00:00.000",
102 "best_period_return": {
103 "window_1y": "0.30",
104 "window_24h": "0.005",
105 "window_30d": "0.07",
106 "window_7d": "0.04",
107 "window_90d": "0.08",
108 "window_all": "0.25"
109 },
110 "max_drawdown": {
111 "window_1y": "0.12",
112 "window_24h": "0.008",
113 "window_30d": "0.05",
114 "window_7d": "0.03",
115 "window_90d": "0.07",
116 "window_all": "0.11"
117 },
118 "monthly_pnl_last_12m": [
119 {
120 "month": "2026-05-01",
121 "month_return_pct": "0.0123"
122 }
123 ],
124 "pct_positive": {
125 "window_1y": "0.65",
126 "window_24h": "0.55",
127 "window_30d": "0.60",
128 "window_7d": "0.58",
129 "window_90d": "0.62",
130 "window_all": "0.63"
131 },
132 "pnl": {
133 "window_1y": "0.13",
134 "window_24h": "0.002",
135 "window_30d": "0.045",
136 "window_7d": "0.025",
137 "window_90d": "0.05",
138 "window_all": "0.11"
139 },
140 "recovery_hours": {
141 "window_1y": "48",
142 "window_24h": "12",
143 "window_30d": "36",
144 "window_7d": "24",
145 "window_90d": "40",
146 "window_all": "45"
147 },
148 "sharpe_ratio": {
149 "window_1y": "1.1",
150 "window_24h": "0.6",
151 "window_30d": "0.85",
152 "window_7d": "0.75",
153 "window_90d": "0.95",
154 "window_all": "1.05"
155 },
156 "top_holders": [
157 {
158 "percentage": "24.6371578053709186",
159 "rank": 1,
160 "value_usdc": "3758808.50501487823"
161 },
162 {
163 "percentage": "15.4321987654321",
164 "rank": 2,
165 "value_usdc": "2350000.00"
166 }
167 ],
168 "worst_period_return": {
169 "window_1y": "-0.15",
170 "window_24h": "-0.005",
171 "window_30d": "-0.06",
172 "window_7d": "-0.03",
173 "window_90d": "-0.07",
174 "window_all": "-0.12"
175 }
176 }
177}

Returns the vault-level analytics row plus per-substrategy analytics rows for a single vault. vault_level is null when the vault has no analytics blob yet; substrategies only contains entries whose Redis blob is present. 404 only when the vault itself does not exist — missing analytics data returns 200 with empty fields.

Was this page helpful?
Previous

Get vault balances

Next
Built with

Query parameters

addressstringRequired
Vault address

Response

OK
addressstring
as_ofstring
substrategieslist of objects
vault_levelobject

Errors

400
Bad Request Error
404
Not Found Error